Skip to content

Get campaign run

Request

Get campaign run data by ID.

Security
oauth2(Required scopes: borrowercampaign.run:read) or bearerAuth or apiKeyHeader
Path
borrowerCampaignIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

borrowerCampaignRunIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

GET
/campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
availableFilesArray of strings

The list of files currently available for download via this campaign run's .../download endpoint.

Items Enum:"query_results.csv""campaign_input.json""contacts.csv""log.txt"
borrowerCampaignIdstring

The ID of the borrower campaign to which this campaign run belongs.

statusstring(BorrowerCampaignRunStatus)

The status of a campaign run

Enum:"failed""success""processing""initializing"
Response
{ "availableFiles": [ "query_results.csv" ], "borrowerCampaignId": "string", "status": "failed" }